
//点击生成后左边图片效果抖动
$(".tools_zb_s_rightbtn").live('click',function(e){
	addAnimate($(".tools_zb_s_left"),'shake');
})


//用户输入框的按键触发
$(".tools_zb_s_righttext").live('keyup',function(e) {
    $(".tools_zb_s_left_ziti").html($(this).val());
});

//字体编辑按钮点击效果
$(".newtools_edit i").live('click',function(e){
	if(!($(this).hasClass("new_toolslayuii"))){
		if($(this).hasClass("new_toolslayuiihover")){
			$(this).removeClass("new_toolslayuiihover");
		}else{
			$(this).addClass("new_toolslayuiihover");	
		}	
	}
})

$(".new_toolslayuib").live('click',function(e){
	if($(".tools_zb_s_left_ziti").css("font-weight")==400){
		$(".tools_zb_s_left_ziti").css("font-weight","bold");
	}else{
		$(".tools_zb_s_left_ziti").css("font-weight","normal");	
	}
})
$(".new_toolslayuii").live('click',function(e){
	$(".tools_zb_s_righttext").val('');
	$(".tools_zb_s_left_ziti").html('');
	$(".newtools_editemhover").removeClass("newtools_editemhover");
	$(".new_toolslayuiihover").removeClass("new_toolslayuiihover");
	$(".tools_zb_s_left_ziti").css({"color":"#000","font-size":"17px","font-weight":"normal"});
})
$(".new_toolslayuiaadd").live('click',function(e){
	$(".tools_zb_s_left_ziti").css("font-size",parseInt($(".tools_zb_s_left_ziti").css("font-size"))+1);
})
$(".new_toolslayuiajian").live('click',function(e){
	$(".tools_zb_s_left_ziti").css("font-size",parseInt($(".tools_zb_s_left_ziti").css("font-size"))-1);
})

$(".newtools_edit em").live('click',function(e){
	if($(this).hasClass("newtools_editemhover")){
		$(".newtools_editemhover").removeClass("newtools_editemhover");	
		$(".tools_zb_s_left_ziti").css("color","#000");
	}else{
		$(".newtools_editemhover").removeClass("newtools_editemhover");
		$(this).addClass("newtools_editemhover");
		$(".tools_zb_s_left_ziti").css("color",$(this).css("background-color"));		
	}
});
//鼠标拖动显示字的位置
$(".tools_zb_s_left").live('mouseleave',function(e){
	$(".tools_zb_s_left_ziti").unbind("mousemove");
})
yd($(".tools_zb_s_left_ziti"));

function yd(obj){
	obj.bind("mousedown",function(){
		var box=$(".tools_zb_s_left");
		var box_w=box.width();
		var box_h=box.width();
			obj.bind("mousemove",function(e){
				var cen= obj.width();
				var tp= obj.height();
				x=e.pageX-box.offset().left-cen/2;
				y=e.pageY-box.offset().top-tp/2;
				if(x<0){
					x=0;
				}
				if(x+cen>box_w){
					x=box_w-cen;
				}
				if(y<0){
					y=0;
				}
				if(y+tp>box_h){
					y=box_h-tp;
				}
				
				obj.css({left:x,top:y});
			
			})	
		}).bind("mouseup",function(){
			$(this).unbind("mousemove");
			});

}



//保存图片按钮单击事件   开始传参生成
$(".tools_zb_s_rightbtn").live('click',function(e){
	//加粗获取
	var fontBold = false; 
	if($(".new_toolslayuib").hasClass("new_toolslayuiihover")){
		fontBold = true;
	}
	//颜色获取
	var fontColor = $(".tools_zb_s_left_ziti").css("color");
	if(fontColor=='rgb(249, 75, 75)'||fontColor=='#f94b4b'){
		fontColor = 'red';
	}else if(fontColor=='rgb(34, 232, 138)'||fontColor=='#22e88a'){
		fontColor = 'green';
	}else if(fontColor=='rgb(53, 220, 228)'||fontColor=='#35dce4'){
		fontColor = 'blue';
	}else if(fontColor=='rgb(255, 210, 46)'||fontColor=='#ffd22e'){
		fontColor = 'yellow';
	}else{
		fontColor = 'black';
	}
	var url = "../php/images.php?imgsrc="+$('.tools_zb_s_left img').attr('src')+
	"&DivWidth="+$('.tools_zb_s_left').width()+
	"&DivHeight="+$('.tools_zb_s_left').height()+
	"&ImgWidth="+$('.tools_zb_s_left img').width()+
	"&ImgHeight="+$('.tools_zb_s_left img').height()+
	"&fontBold="+fontBold+
	"&fontColor="+fontColor+
	"&fontText="+$('.tools_zb_s_left_ziti').html()+
	"&fontSize="+$('.tools_zb_s_left_ziti').css("font-size")+
	"&textLeft="+$('.tools_zb_s_left_ziti').css("left")+
	"&textTop="+$('.tools_zb_s_left_ziti').css("top");
	window.open(url);
	//$("body").html(url);
	/*var ini = {"imgsrc":""+$('.tools_zb_s_left img').attr('src')+"",
				"DivWidth":""+$('.tools_zb_s_left').width()+"",
				"DivHeight":""+$('.tools_zb_s_left').height()+"",
				"ImgWidth":""+$('.tools_zb_s_left img').width()+"",
				"ImgHeight":""+$('.tools_zb_s_left img').height()+"",
				"fontBold":""+fontBold+"",
				"fontColor":""+fontColor+"",
				"fontText":""+$('.tools_zb_s_left_ziti').html()+"",
				"fontSize":""+$('.tools_zb_s_left_ziti').css("font-size")+"",
				"textLeft":""+$('.tools_zb_s_left_ziti').css("left")+"",
				"textTop":""+$('.tools_zb_s_left_ziti').css("top")+""
	}
	//json对象传参*/

	/*var ini = '"imgsrc":"'+$('.tools_zb_s_left img').attr('src')+'",'+
			  '"DivWidth":"'+$('.tools_zb_s_left').width()+'",'+
			  '"DivHeight":"'+$('.tools_zb_s_left').height()+'",'+
			  '"ImgWidth":"'+$('.tools_zb_s_left img').width()+'",'+
			  '"ImgHeight":"'+$('.tools_zb_s_left img').height()+'",'+
			  '"fontBold":"'+fontBold+'",'+
			  '"fontColor":"'+fontColor+'",'+
			  '"fontText":"'+$('.tools_zb_s_left_ziti').html()+'",'+
			  '"fontSize":"'+$('.tools_zb_s_left_ziti').css("font-size")+'",'+
			  '"textLeft":"'+$('.tools_zb_s_left_ziti').css("left")+'",'+
			  '"textTop":"'+$('.tools_zb_s_left_ziti').css("top")+'"';
	//字符串传参*/
});









































